.contactForm {
  display: flex;
  align-items: center;
  justify-content: center;
  min-height: 70vh;
  overflow: hidden;
}

.module_list {
  max-width: 450px;
  margin: 0 auto;
  border-top: 5px solid #435757;
  background-color: rgba(255, 255, 255, 0.2);
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
  user-select: none;
}

.items {
  display: flex;
  flex-direction: column;
  padding: 20px;
  counter-reset: done-items undone-items;
}

.inputGroup {
  background-color: #fff;
  display: block;
  margin: 0px 5px 0px 0px;
  position: relative;
}
.inputGroup > label {
  padding: 12px 30px;
  width: 100%;
  display: block;
  background: #fff1e5;
  text-align: left;
  color: #3c454c;
  cursor: pointer;
  position: relative;
  z-index: 2;
  -webkit-transition: color 200ms ease-in;
  transition: color 200ms ease-in;
  overflow: hidden;
  margin-bottom: 5px;
}

.inputGroup > label > span {
  width: 25px;
  padding: 10px;
  height: 25px;
  border: 1px solid #3c454c;
  margin-right: 5px;
}
.inputGroup > label:before {
  width: 10px;
  height: 10px;
  border-radius: 50%;
  content: "";
  background-color: #fddec4;
  position: absolute;
  left: 50%;
  top: 50%;
  -webkit-transform: translate(-50%, -50%) scale3d(1, 1, 1);
  transform: translate(-50%, -50%) scale3d(1, 1, 1);
  -webkit-transition: all 300ms cubic-bezier(0.4, 0, 0.2, 1);
  transition: all 300ms cubic-bezier(0.4, 0, 0.2, 1);
  opacity: 0;
  z-index: -1;
}
.inputGroup > label:after {
  width: 32px;
  height: 32px;
  content: "";
  border: 2px solid #ffddbf;
  background-color: #fff;
  background-image: url("data:image/svg+xml,%3Csvg width='32' height='32' viewBox='0 0 32 32' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M5.414 11L4 12.414l5.414 5.414L20.828 6.414 19.414 5l-10 10z' fill='%23fff' fill-rule='nonzero'/%3E%3C/svg%3E ");
  background-repeat: no-repeat;
  background-position: 4px 5px;
  border-radius: 50%;
  z-index: 2;
  position: absolute;
  right: 30px;
  top: 50%;
  -webkit-transform: translateY(-50%);
  transform: translateY(-50%);
  cursor: pointer;
  -webkit-transition: all 200ms ease-in;
  transition: all 200ms ease-in;
}
.inputGroup input:checked ~ label {
  color: #000;
}

.inputGroup input:checked ~ label > span {
  color: #fff;
  border-color: #fff;
  background: #ed7218;
}

.inputGroup > input:checked ~ label:before {
  -webkit-transform: translate(-50%, -50%) scale3d(56, 56, 1);
  transform: translate(-50%, -50%) scale3d(56, 56, 1);
  opacity: 1;
}
.inputGroup > input:checked ~ label:after {
  background-color: #ed7218;
  border-color: #ed7218;
}
.inputGroup > input {
  width: 32px;
  height: 32px;
  -webkit-box-ordinal-group: 2;
  order: 1;
  z-index: 2;
  position: absolute;
  right: 30px;
  top: 50%;
  -webkit-transform: translateY(-50%);
  transform: translateY(-50%);
  cursor: pointer;
  visibility: hidden;
}

.done {
  order: 1;
}

.done::after {
  content: " (" counter(done-items) ")";
}

.undone {
  order: 3;
}

.undone::after {
  content: " (" counter(undone-items) ")";
}

input.required {
  box-shadow: 0px 3px 2px rgba(200, 0, 0, 0.85);
  background: #ffdede;
}

input:focus {
  outline-width: 0;
}

.inputClass {
  max-width: 100%;
  margin: 0px auto;
  font-weight: 600;
  line-height: 36px;
}

::selection {
  color: #fff;
  background: #ed7218;
}
.container {
  width: 25%;
  background: #fff;
  text-align: center;
  border-radius: 5px;
  padding: 5px 30px 10px 35px;
  margin: 0 auto;
  position: relative;
}
@media (max-width: 480px) {
  .container {
    width: 95%;
    padding: 5px 9px 10px 18px !important;
  }
  .progress-bar .step .bullet:before,
  .progress-bar .step .bullet:after {
    right: -40px !important;
    width: 40px !important;
  }
}
@media (min-width: 481px) and (max-width: 800px) {
  .container {
    width: 90%;
    padding: 5px 9px 10px 18px !important;
  }
}
.container .contactForm header {
  font-size: 35px;
  font-weight: 600;
  margin: 0 0 30px 0;
  padding-top: 20px;
}
.container .contactForm .form-outer {
  width: 100%;
  overflow: hidden;
}
.container .contactForm .form-outer form {
  display: flex;
  width: 100%;
}
.form-outer form .page {
  width: 100%;
  transition: margin-left 0.3s ease-in-out;
}
.form-outer form .page .title {
  text-align: center;
  font-size: 25px;
  font-weight: 500;
}
.form-outer form .page .field {
  width: 330px;
  height: 45px;
  margin: 45px auto;
  display: flex;
  position: relative;
}

.form-outer form .page .field-input {
  width: 100%;
  height: 45px;
  margin: 50px auto;
  display: flex;
  position: relative;
}

form .page .field-input .label {
  position: absolute;
  top: -30px;
  font-weight: 500;
}
form .page .field-input input {
  height: 100%;
  width: 100%;
  border: 1px solid lightgrey;
  border-radius: 5px;
  padding-left: 15px;
  font-size: 18px;
}

form .page .field-input select {
  width: 100%;
  padding-left: 10px;
  font-size: 17px;
  font-weight: 500;
}
form .page .field button {
  width: 100%;
  height: calc(100% + 5px);
  border: none;
  background: #7762ef;
  margin-top: -20px;
  border-radius: 5px;
  color: #fff;
  cursor: pointer;
  outline-width: 0;
  font-size: 18px;
  font-weight: 500;
  letter-spacing: 1px;
  text-transform: uppercase;
  transition: 0.5s ease;
  box-shadow: 0 7px #4b35c7;
}
form .page .field button:hover {
  background: #6354b7;
}

.container .progress-bar {
  display: flex;
  margin: 40px auto;
  user-select: none;
}
.container .progress-bar .step {
  text-align: center;
  width: 100%;
  position: relative;
}
.container .progress-bar .step p {
  font-weight: 500;
  font-size: 18px;
  color: #000;
  margin-bottom: 8px;
}
.progress-bar .step .bullet {
  height: 25px;
  width: 25px;
  border: 2px solid #000;
  display: inline-block;
  border-radius: 50%;
  position: relative;
  transition: 0.2s;
  font-weight: 500;
  font-size: 17px;
  line-height: 20px;
}
.progress-bar .step .bullet.active {
  border-color: #ed7218;
  background: #ed7218;
}
.progress-bar .step .bullet span {
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
}
.progress-bar .step .bullet.active span {
  display: none;
}
.progress-bar .step .bullet:before,
.progress-bar .step .bullet:after {
  position: absolute;
  content: "";
  bottom: 10px;
  right: -48px;
  height: 2px;
  width: 48px;
  background: #262626;
}
.progress-bar .step .bullet.active:after {
  background: #ed7218;
  transform: scaleX(0);
  transform-origin: left;
  animation: animate 0.3s linear forwards;
}
@keyframes animate {
  100% {
    transform: scaleX(1);
  }
}
.progress-bar .step:last-child .bullet:before,
.progress-bar .step:last-child .bullet:after {
  display: none;
}
.progress-bar .step p.active {
  color: #ed7218;
  transition: 0.2s linear;
}
.progress-bar .step .check {
  position: absolute;
  left: 50%;
  top: 70%;
  font-size: 15px;
  transform: translate(-50%, -50%);
  display: none;
}
.progress-bar .step .check.active {
  display: block;
  color: #fff;
}
